import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import JavaLogoLight from './JavaLogoLight';
import JavaLogoDark from './JavaLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const JavaLogoSvg = forwardRef(function JavaLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(JavaLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(JavaLogoLight, Object.assign({}, props, { ref: ref }));
});
export default JavaLogoSvg;
